@echo off

cls 

:: @Guard/NIS Ad Block List Utility
::
:: Created by Eric L. Howes
::            eburger68@myrealbox.com
::            https://netfiles.uiuc.edu/ehowes/www/resource.htm
::
:: Special Thanks To:
::
::           Christian Haagensen
::                  &
::           David Stockbridge
::
::  ...for testing, advice, encouragement, and patience... 
::
:: Copyright (c) 2000-2002 Eric L. Howes
::
:: This program is free software; you can redistribute it and/or modify it under
:: the terms of the GNU General Public License as published by the Free Software
:: Foundation; either version 2, or (at your option) any later version.
::
:: This program is distributed in the hope that it will be useful, but WITHOUT ANY
:: WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
:: A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
::
:: Some files distributed with this package may not be covered by the GNU GPL. Those
:: files remain the property of their original owners and are covered by the licenses
:: under which they were originally distributed.
::
:: All trademarks are the property of their respective owners.
::
:: You should have received a copy of the GNU General Public License along with this
:: program; see the file COPYING.  If not, write to the Free Software Foundation,
:: 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

::********************************************************************
::CHOICE Installation
::********************************************************************

:: Check for NT or 9x
if exist %WINDIR%\SYSTEM32\CONFIG goto prep-nt

:: ---------------
:: Copy choice.com
:: ---------------
:prep-9x

if exist %WINDIR%\command\choice.com goto 1ST-BCK
if exist %WINDIR%\choice.com goto 1ST-BCK

copy choice\choice.com %WINDIR%

goto 1ST-BCK

:: ---------------
:: Copy choice.exe
:: ---------------
:prep-nt

if exist %WINDIR%\command\choice.exe goto 1ST-BCK
if exist %WINDIR%\choice.exe goto 1ST-BCK

copy choice\choice.exe %WINDIR%

goto 1ST-BCK

::********************************************************************
:1ST-BCK
::********************************************************************

:: ----------------
:: Check for Backup
:: ----------------

   if exist AG-Back.reg goto MENU
   if exist NIS-Back.reg goto MENU

:: ------------------------------------------------------------
:: Check if we have AtGuard or NIS, and jump to the appropriate
:: label. If AG or NIS are not found, goes to RETURN.
:: ------------------------------------------------------------

  :: Check if we have AtGuard
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\WRQ\IAM
  if exist check.reg goto PRE-AG

  :: Check if we have NIS
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\Symantec\IAM
  if exist check.reg goto PRE-NIS

  :: If we reach this point, we don't have AG nor NIS
  echo.
  echo    Sorry - AtGuard or NIS not found.
  echo.
  pause

  goto RETURN

:: ------------------
:: Backup @Guard List
:: ------------------
:PRE-AG

   :: Clean up...
   del check.reg>nul

   :: Backup...

   start /w regedit /e AG-Back.reg HKEY_LOCAL_MACHINE\SOFTWARE\WRQ\IAM\HTTPConfig\Sites\(Defaults)\Block

   if exist AG-Back.reg goto BCK-NOT1
   goto ERROR

goto MENU

:: ---------------
:: Backup NIS List
:: ---------------
:PRE-NIS

   :: Clean up...
   del check.reg>nul

   :: Backup...

   start /w regedit /e NIS-Back.reg HKEY_LOCAL_MACHINE\SOFTWARE\Symantec\IAM\HTTPConfig\Sites\(Defaults)\Block
 
   if exist NIS-Back.reg goto BCK-NOT2
   goto ERROR

goto MENU

:: -------------
:: Backup Notice
:: -------------

:BCK-NOT1

   echo.
   echo    Welcome to the @Guard/NIS Ad Block List Utility!
   echo.
   echo    Your current @Guard block list has been backed up to:
   echo.
   echo    AG-Back.reg...
   echo.
   pause

   goto MENU

:BCK-NOT2

   echo.
   echo    Welcome to the @Guard/NIS Ad Block List Utility!
   echo.
   echo    Your current NIS block list has been backed up to:
   echo.
   echo    NIS-Back.reg...
   echo.
   pause

   goto MENU

::********************************************************************
:MENU
::********************************************************************

cls

:: -------------------------------
:: Give the main menu with choices
:: -------------------------------

echo.
echo                         Welcome to the
echo               ---------------------------------
echo               @Guard/NIS Ad Block List Utility!
echo               ---------------------------------
echo.
echo.
echo                      ** Main Menu **
echo.
echo.
echo    [1] BACKUP the Current Ad Block List (recommended)
echo.
echo    [2] INSTALL a New Ad Block List (full or lite)
echo.
echo    [3] CLEAR the Current Ad Block List
echo.
echo    [4] RESTORE an Ad Block List (original or backup)
echo.
echo    [5] EDIT a Block List (new or backup)
echo.
echo    [6] Exit
echo.

:: ----------
:: Get choice
:: ----------

echo    What do you want to do?

choice /c:1234567 /n /t:7,90 

if errorlevel 7 goto MENU
if errorlevel 6 goto FIN
if errorlevel 5 goto EDIT
if errorlevel 4 goto RESTORE
if errorlevel 3 goto CLEAR
if errorlevel 2 goto INSTALL
if errorlevel 1 goto BACKUP

goto MENU

::********************************************************************
:BACKUP
::********************************************************************

cls

:: --------------
:: Confirm Backup
:: --------------

   echo.
   echo                      ** CONFIRM BACKUP **
   echo. 
   echo.
   echo    This will back up your currently loaded ad block list to 
   echo    a .REG file. Any existing backups will be overwritten.
   echo.
   echo    Are you sure that you want to back up your currently 
   echo    loaded ad block list?   
   echo. 
   echo       [1] YES - backup the current ad block list
   echo       [2] NO  - return to main menu

   choice /c:123 /n /t:3,90

   if errorlevel 3 goto BACKUP
   if errorlevel 2 goto MENU
   if errorlevel 1 goto GO-BACK

goto BACKUP

::------
:GO-BACK
::------

cls

:: ------------------------------------------------------------
:: Check if we have AtGuard or NIS, and jump to the appropriate
:: label. If AG or NIS are not found, goes to END.
:: ------------------------------------------------------------

  :: Check if we have AtGuard
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\WRQ\IAM
  if exist check.reg goto BACK-AG

  :: Check if we have NIS
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\Symantec\IAM
  if exist check.reg goto BACK-NIS

  :: If we reach this point, we don't have AG nor NIS
  echo    Sorry - AtGuard or NIS not found.
  pause

goto RETURN

:: ------------------
:: Backup @Guard List
:: ------------------
:BACK-AG

   :: Clean up...
   del check.reg>nul

   :: Backup...
   echo.
   echo    You have chosen to back up the @Guard block list to:
   echo.
   echo    AG-Back.reg...
   start /w regedit /e AG-Back.reg HKEY_LOCAL_MACHINE\SOFTWARE\WRQ\IAM\HTTPConfig\Sites\(Defaults)\Block

   if exist AG-Back.reg goto SUCCESS
   goto ERROR

goto RETURN

:: ---------------
:: Backup NIS List
:: ---------------
:BACK-NIS

   :: Clean up...
   del check.reg>nul

   :: Backup...
   echo.
   echo    You have chosen to back up the NIS block list to:
   echo.
   echo    NIS-Back.reg...
   start /w regedit /e NIS-Back.reg HKEY_LOCAL_MACHINE\SOFTWARE\Symantec\IAM\HTTPConfig\Sites\(Defaults)\Block
 
   if exist NIS-Back.reg goto SUCCESS
   goto ERROR

goto RETURN

::********************************************************************
:INSTALL
::********************************************************************

cls

:: -------------------------------
:: Give the main menu with choices
:: -------------------------------

echo.
echo                    ** Install Menu **
echo.
echo.
echo    [1] INSTALL the **FULL** Ad Block List
echo          Install the new "full" version of the ad block list.
echo.
echo    [2] INSTALL the **LITE** Ad Block List
echo          Install the new "lite" version of the ad block list.
echo.
echo    [3] INSTALL the **SUPER-LITE** Ad Block List
echo          Install the new "super-lite" version of the ad block list.
echo.
echo    [4] Return to the MAIN MENU
echo.
echo    [5] Exit
echo.

:: ----------
:: Get choice
:: ----------

echo    What do you want to do?

choice /c:123456 /n /t:6,90 

if errorlevel 6 goto INSTALL
if errorlevel 5 goto FIN
if errorlevel 4 goto MENU
if errorlevel 3 goto SUPER
if errorlevel 2 goto LITE
if errorlevel 1 goto FULL

goto INSTALL

::***
:FULL
::***

cls

:: ------------------------------------------------------------
:: Check if we have AtGuard or NIS, and jump to the appropriate
:: label. If AG or NIS are not found, goes to END.
:: ------------------------------------------------------------

  :: Check if we have AtGuard
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\WRQ\IAM
  if exist check.reg goto IN-AG

  :: Check if we have NIS
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\Symantec\IAM
  if exist check.reg goto IN-NIS

  :: If we reach this point, we don't have AG nor NIS
  echo    Sorry - AtGuard or NIS not found.
  pause

goto RETURN

:: -------------------
:: Install @Guard List
:: -------------------
:IN-AG

   :: Clean up...
   del check.reg>nul

   :: Install...
   echo.
   echo    You have chosen to install the new "full" @Guard block list...
   if not exist AG-Back.reg goto IN-ERR
   if not exist srt\ag-ads.reg goto IN-FILE
   start /w regedit.exe /s srt\ag-ads.reg

   if errorlevel 1 goto ERROR
   goto SUCCESS

goto RETURN

:: ----------------
:: Install NIS List
:: ----------------
:IN-NIS

   :: Clean up...
   del check.reg>nul

   :: Install...
   echo.
   echo    You have chosen to install the new "full" NIS block list...
   if not exist NIS-Back.reg goto IN-ERR
   if not exist srt\nis-ads.reg goto IN-FILE
   start /w regedit.exe /s srt\nis-ads.reg

   if errorlevel 1 goto ERROR
   goto SUCCESS

goto RETURN

:: -----------------
:: No Backup Warning
:: -----------------
:IN-ERR

   echo.
   echo.
   echo    ...but you have not backed up your current ad block list yet.
   echo    Consequently, the new block list has NOT been installed.
   echo.
   echo    Please select [1] from the Main Menu to create a backup first.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU

:: --------------
:: No Proper File
:: --------------
:IN-FILE

   echo.
   echo.
   echo    ...but the new "full" block list file could not be found 
   echo   (AG-ADS.REG or NIS-ADS.REG). Consequently, the new block 
   echo   list has NOT been installed.
   echo.
   echo    Please correct this problem and try again.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU


::***
:LITE
::***

cls

:: ------------------------------------------------------------
:: Check if we have AtGuard or NIS, and jump to the appropriate
:: label. If AG or NIS are not found, goes to END.
:: ------------------------------------------------------------

  :: Check if we have AtGuard
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\WRQ\IAM
  if exist check.reg goto LT-AG

  :: Check if we have NIS
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\Symantec\IAM
  if exist check.reg goto LT-NIS

  :: If we reach this point, we don't have AG nor NIS
  echo    Sorry - AtGuard or NIS not found.
  pause

goto RETURN

:: -------------------
:: Install @Guard List
:: -------------------
:LT-AG

   :: Clean up...
   del check.reg>nul

   :: Install...
   echo.
   echo    You have chosen to install the new "lite" @Guard block list...
   if not exist AG-Back.reg goto LT-ERR
   if not exist srt\ag-ads.reg goto LT-FILE
   start /w regedit.exe /s srt\ag-lite.reg

   if errorlevel 1 goto ERROR
   goto SUCCESS

goto RETURN

:: ----------------
:: Install NIS List
:: ----------------
:LT-NIS

   :: Clean up...
   del check.reg>nul

   :: Install...
   echo.
   echo    You have chosen to install the new "lite" NIS block list...
   if not exist NIS-Back.reg goto LT-ERR
   if not exist srt\nis-ads.reg goto LT-FILE
   start /w regedit.exe /s srt\nis-lite.reg

   if errorlevel 1 goto ERROR
   goto SUCCESS

goto RETURN

:: -----------------
:: No Backup Warning
:: -----------------
:LT-ERR

   echo.
   echo.
   echo    ...but you have not backed up your current ad block list yet.
   echo    Consequently, the new "lite" block list has NOT been installed.
   echo.
   echo    Please select [1] from the Main Menu to create a backup first.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU

:: --------------
:: No Proper File
:: --------------
:LT-FILE

   echo.
   echo.
   echo    ...but the new "lite" block list file could not be found 
   echo    (AG-LITE.REG or NIS-LITE.REG). Consequently, the new "lite"
   echo    block list has NOT been installed.
   echo.
   echo    Please correct this problem and try again.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU


::****
:SUPER
::****

cls

:: ------------------------------------------------------------
:: Check if we have AtGuard or NIS, and jump to the appropriate
:: label. If AG or NIS are not found, goes to END.
:: ------------------------------------------------------------

  :: Check if we have AtGuard
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\WRQ\IAM
  if exist check.reg goto SP-AG

  :: Check if we have NIS
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\Symantec\IAM
  if exist check.reg goto SP-NIS

  :: If we reach this point, we don't have AG nor NIS
  echo    Sorry - AtGuard or NIS not found.
  pause

goto RETURN

:: -------------------
:: Install @Guard List
:: -------------------
:SP-AG

   :: Clean up...
   del check.reg>nul

   :: Install...
   echo.
   echo    You have chosen to install the new "super-lite" @Guard block list...
   if not exist AG-Back.reg goto SP-ERR
   if not exist sup\ag-sup.reg goto SP-FILE
   start /w regedit.exe /s sup\ag-sup.reg

   if errorlevel 1 goto ERROR
   goto SUCCESS

goto RETURN

:: ----------------
:: Install NIS List
:: ----------------
:SP-NIS

   :: Clean up...
   del check.reg>nul

   :: Install...
   echo.
   echo    You have chosen to install the new "lite" NIS block list...
   if not exist NIS-Back.reg goto SP-ERR
   if not exist sup\nis-sup.reg goto SP-FILE
   start /w regedit.exe /s sup\nis-sup.reg

   if errorlevel 1 goto ERROR
   goto SUCCESS

goto RETURN

:: -----------------
:: No Backup Warning
:: -----------------
:SP-ERR

   echo.
   echo.
   echo    ...but you have not backed up your current ad block list yet.
   echo    Consequently, the new "super-lite" block list has NOT been 
   echo    installed.
   echo.
   echo    Please select [1] from the Main Menu to create a backup first.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU

:: --------------
:: No Proper File
:: --------------
:SP-FILE

   echo.
   echo.
   echo    ...but the new "super-lite" block list file could not be found 
   echo    (AG-SUP.REG or NIS-SUP.REG). Consequently, the new "lite" block
   echo    list has NOT been installed.
   echo.
   echo    Please correct this problem and try again.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU


::********************************************************************
:CLEAR
::********************************************************************


cls

:: -------------
:: Confirm Clear
:: -------------

   echo.
   echo                 ** CONFIRM CLEAR BLOCK LIST **
   echo. 
   echo.
   echo    This will clear your currently loaded ad block list of 
   echo    ALL entries.
   echo.
   echo    Are you sure that you want to clear your currently 
   echo    loaded ad block list of ALL entries?   
   echo. 
   echo       [1] YES - clear all entries
   echo       [2] NO  - return to main menu

   choice /c:123 /n /t:3,90

   if errorlevel 3 goto CLEAR
   if errorlevel 2 goto MENU
   if errorlevel 1 goto PROCEED

goto CLEAR

::------
:PROCEED
::------

cls

:: ------------------------------------------------------------
:: Check if we have AtGuard or NIS, and jump to the appropriate
:: label. If AG or NIS are not found, goes to END.
:: ------------------------------------------------------------

  :: Check if we have AtGuard
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\WRQ\IAM
  if exist check.reg goto CL-AG

  :: Check if we have NIS
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\Symantec\IAM
  if exist check.reg goto CL-NIS

  :: If we reach this point, we don't have AG nor NIS
  echo    Sorry - AtGuard or NIS not found.
  pause

  goto RETURN

:: -----------------
:: Clear @Guard List
:: -----------------
:CL-AG

   :: Clean up...
   del check.reg>nul

   :: Clear...
   echo.
   echo    You have chosen to clear the @Guard block list completely...
   if not exist AG-Back.reg goto CL-ERR
   if not exist def\ag-clr.reg goto CL-FILE
   start /w regedit.exe /s def\ag-clr.reg

   if errorlevel 1 goto ERROR
   goto SUCCESS

goto RETURN

:: --------------
:: Clear NIS List
:: --------------
:CL-NIS

   :: Clean up...
   del check.reg>nul

   :: Clear...
   echo.
   echo    You have chosen to clear the NIS block list completely...
   if not exist NIS-Back.reg goto CL-ERR
   if not exist def\nis-clr.reg goto CL-FILE
   start /w regedit.exe /s def\nis-clr.reg

   if errorlevel 1 goto ERROR
   goto SUCCESS

goto RETURN

:: -----------------
:: No Backup Warning
:: -----------------
:CL-ERR

   echo.
   echo.
   echo    ...but you have not backed up your current ad block list yet.
   echo    Consequently, the current block list has NOT been cleared.
   echo.
   echo    Please select [1] from the Main Menu to create a backup first.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU

:: --------------
:: No Proper File
:: --------------
:CL-FILE

   echo.
   echo.
   echo    ...but a required file could not be found (AG-CLR.REG or
   echo    NIS-CLR.REG). Consequently, the current block list could 
   echo    NOT be cleared.
   echo.
   echo    Please correct this problem and try again.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU


::********************************************************************
:RESTORE
::********************************************************************

cls

:: -------------------------------
:: Give the main menu with choices
:: -------------------------------

echo.
echo                    ** Restore Menu **
echo.
echo.
echo    [1] RESTORE the ORIGINAL Ad Block List
echo          Clear the currently loaded ad block list and restore
echo          the original ad block list supplied with @Guard or NIS.
echo.
echo    [2] RESTORE the BACKUP Ad Block List
echo          Clear the currently loaded ad block list and restore
echo          the ad block list that you previously backed up.
echo.
echo    [3] Return to the MAIN MENU
echo.
echo    [4] Exit
echo.

:: ----------
:: Get choice
:: ----------

echo    What do you want to do?

choice /c:12345 /n /t:5,90 

if errorlevel 5 goto RESTORE
if errorlevel 4 goto FIN
if errorlevel 3 goto MENU
if errorlevel 2 goto REST-BACK
if errorlevel 1 goto REST-ORG

goto RESTORE

::*******
:REST-ORG
::*******

cls

:: ------------------------------------------------------------
:: Check if we have AtGuard or NIS, and jump to the appropriate
:: label. If AG or NIS are not found, goes to END.
:: ------------------------------------------------------------

  :: Check if we have AtGuard
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\WRQ\IAM
  if exist check.reg goto ORG-AG

  :: Check if we have NIS
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\Symantec\IAM
  if exist check.reg goto ORG-NIS

  :: If we reach this point, we don't have AG nor NIS
  echo    Sorry - AtGuard or NIS not found.
  pause

  goto RETURN

:: -----------------------------------
:: Clear & Restore Default @Guard List
:: -----------------------------------
:ORG-AG

   :: Clean up...
   del check.reg>nul

   :: Clear & Restore Default...
   echo.
   echo    You have chosen to restore the default @Guard block list...
   if not exist AG-Back.reg goto ORG-ERR
   if not exist def\ag-clr.reg goto CL-FILE
   if not exist def\ag-def.reg goto ORG-FILE
   start /w regedit.exe /s def\ag-clr.reg
   start /w regedit.exe /s def\ag-def.reg

   if errorlevel 1 goto ERROR
   goto SUCCESS

goto RETURN

:: --------------------------------
:: Clear & Restore Default NIS List
:: --------------------------------
:ORG-NIS

   :: Clean up...
   del check.reg>nul

   :: Clear & Restore Default...
   echo.
   echo    You have chosen to restore the default NIS block list...
   if not exist NIS-Back.reg goto ORG-ERR
   if not exist def\nis-clr.reg goto CL-FILE
   if not exist def\nis-def.reg goto ORG-FILE
   start /w regedit.exe /s def\nis-clr.reg
   start /w regedit.exe /s def\nis-def.reg

   if errorlevel 1 goto ERROR
   goto SUCCESS

goto RETURN

:: -----------------
:: No Backup Warning
:: -----------------
:ORG-ERR

   echo.
   echo.
   echo    ...but you have not backed up your current ad block list yet.
   echo    Consequently, the current block list has NOT been cleared,
   echo    nor has the original block list been restored.
   echo.
   echo    Please select [1] from the Main Menu to create a backup first.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU

:: --------------
:: No Proper File
:: --------------
:ORG-FILE

   echo.
   echo.
   echo    ...but a required file could not be found (AG-DEF.REG or 
   echo    NIS-DEF.REG). Consequently, the current block list has NOT
   echo    been cleared, nor has the original block list been restored.
   echo.
   echo    Please correct this problem and try again.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU

::********
:REST-BACK
::********

cls

:: ------------------------------------------------------------
:: Check if we have AtGuard or NIS, and jump to the appropriate
:: label. If AG or NIS are not found, goes to END.
:: ------------------------------------------------------------

  :: Check if we have AtGuard
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\WRQ\IAM
  if exist check.reg goto RS-AG

  :: Check if we have NIS
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\Symantec\IAM
  if exist check.reg goto RS-NIS

  :: If we reach this point, we don't have AG nor NIS
  echo    Sorry - AtGuard or NIS not found.
  pause

  goto RETURN

:: ----------------------------------
:: Clear & Restore Backup @Guard List
:: ----------------------------------
:RS-AG

   :: Clean up...
   del check.reg>nul

   :: Clear & Restore Backup...
   echo.
   echo    You have chosen to restore your backed up @Guard block 
   echo    list (AG-Back.reg)...
   if not exist AG-Back.reg goto RS-ERR
   if not exist def\ag-clr.reg goto CL-FILE
   start /w regedit.exe /s def\ag-clr.reg
   start /w regedit.exe /s ag-back.reg

   if errorlevel 1 goto ERROR
   goto SUCCESS

goto RETURN

:: -------------------------------
:: Clear & Restore Backup NIS List
:: -------------------------------
:RS-NIS

   :: Clean up...
   del check.reg>nul

   :: Clear & Restore Backup...
   echo.
   echo    You have chosen to restore your backed up NIS block 
   echo    list (NIS-Back.reg)...
   if not exist NIS-Back.reg goto RS-ERR
   if not exist def\nis-clr.reg goto CL-FILE
   start /w regedit.exe /s def\nis-clr.reg
   start /w regedit.exe /s nis-back.reg

   if errorlevel 1 goto ERROR
   goto SUCCESS

goto RETURN

:: -----------------
:: No Backup Warning
:: -----------------
:RS-ERR

   echo.
   echo.
   echo    ...but you have not created a backup of your ad block list yet.
   echo    Consequently, the current block list has NOT been cleared, nor
   echo    has a backed up block list been restored.
   echo.
   echo    Please select [1] from the Main Menu to create a backup first.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU

::********************************************************************
:EDIT
::********************************************************************

cls

cls

:: -------------------------------
:: Give the main menu with choices
:: -------------------------------

echo.
echo                    ** Edit Menu **
echo.
echo.
echo    [1] EDIT the **FULL** Ad Block List
echo          Edit the new "full" version of the ad block list
echo          that you downloaded.
echo.
echo    [2] EDIT the **LITE** Ad Block List
echo          Edit the new "lite" version of the ad block list
echo          that you downloaded.
echo.
echo    [3] EDIT the **BACKED UP** Ad Block List
echo          Edit the ad block list that you previously backed up.
echo.
echo    [4] Return to the MAIN MENU
echo.
echo    [5] Exit
echo.

:: ----------
:: Get choice
:: ----------

echo    What do you want to do?

choice /c:12345 /n /t:5,90 

if errorlevel 6 goto EDIT
if errorlevel 5 goto FIN
if errorlevel 4 goto MENU
if errorlevel 3 goto ED-BACK
if errorlevel 2 goto ED-LITE
if errorlevel 1 goto ED-FULL

goto EDIT

::******
:ED-FULL
::******

   cls

:: ------------------------------------------------------------
:: Check if we have AtGuard or NIS, and jump to the appropriate
:: label. If AG or NIS are not found, goes to END.
:: ------------------------------------------------------------

  :: Check if we have AtGuard
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\WRQ\IAM
  if exist check.reg goto ED-AGFULL

  :: Check if we have NIS
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\Symantec\IAM
  if exist check.reg goto ED-NISFULL

  :: If we reach this point, we don't have AG nor NIS
  echo    Sorry - AtGuard or NIS not found.
  pause

  goto RETURN

:: ---------------
:: Edit@Guard List
:: ---------------
:ED-AGFULL

   :: Clean up...
   del check.reg>nul

   :: Open in Notepad...
   echo.
   echo    You have chosen to edit the new "full" block list (AG-ADS.REG)... 
   if not exist srt\ag-ads.reg goto ED-FILE
   notepad.exe srt\ag-ads.reg

   goto MENU

:: -------------
:: Edit NIS List
:: -------------
:ED-NISFULL

   :: Clean up...
   del check.reg>nul

   :: Open in Notepad...
   echo.
   echo    You have chosen to edit the new "full" block list (NIS-ADS.REG)... 
   if not exist srt\nis-ads.reg goto ED-FILE
   notepad.exe srt\nis-ads.reg

   goto MENU

:: --------------
:: No Proper File
:: --------------
:ED-FILE

   echo.
   echo.
   echo    ...but the new block list file could not be found (AG-ADS.REG
   echo    or NIS-ADS.REG). Consequently, you cannot edit the new block 
   echo    list file.
   echo.
   echo    Please correct this problem and try again.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU

::******
:ED-LITE
::******

   cls

:: ------------------------------------------------------------
:: Check if we have AtGuard or NIS, and jump to the appropriate
:: label. If AG or NIS are not found, goes to END.
:: ------------------------------------------------------------

  :: Check if we have AtGuard
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\WRQ\IAM
  if exist check.reg goto ED-AGLITE

  :: Check if we have NIS
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\Symantec\IAM
  if exist check.reg goto ED-NISLITE

  :: If we reach this point, we don't have AG nor NIS
  echo    Sorry - AtGuard or NIS not found.
  pause

  goto RETURN

:: ---------------
:: Edit@Guard Lite
:: ---------------
:ED-AGLITE

   :: Clean up...
   del check.reg>nul

   :: Open in Notepad...
   echo.
   echo    You have chosen to edit the new "lite" block list (AG-LITE.REG)... 
   if not exist srt\ag-lite.reg goto ED-FILE2
   notepad.exe srt\ag-lite.reg

   goto MENU

:: -------------
:: Edit NIS Lite
:: -------------
:ED-NISLITE

   :: Clean up...
   del check.reg>nul

   :: Open in Notepad...
   echo.
   echo    You have chosen to edit the new "lite" block list (NIS-LITE.REG)... 
   if not exist srt\nis-lite.reg goto ED-FILE2
   notepad.exe srt\nis-lite.reg

   goto MENU

:: --------------
:: No Proper File
:: --------------
:ED-FILE2

   echo.
   echo.
   echo    ...but the new block list file could not be found (AG-LITE.REG
   echo    or NIS-LITE.REG). Consequently, you cannot edit the new block 
   echo    list file.
   echo.
   echo    Please correct this problem and try again.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU

::******
:ED-BACK
::******

   cls

:: ------------------------------------------------------------
:: Check if we have AtGuard or NIS, and jump to the appropriate
:: label. If AG or NIS are not found, goes to END.
:: ------------------------------------------------------------

  :: Check if we have AtGuard
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\WRQ\IAM
  if exist check.reg goto ED-AGBACK

  :: Check if we have NIS
  start /w regedit /e check.reg HKEY_LOCAL_MACHINE\SOFTWARE\Symantec\IAM
  if exist check.reg goto ED-NISBACK

  :: If we reach this point, we don't have AG nor NIS
  echo    Sorry - AtGuard or NIS not found.
  pause

  goto RETURN

:: ------------------
:: Edit @Guard Backup
:: ------------------
:ED-AGBACK

   :: Clean up...
   del check.reg>nul

   :: Open in Notepad...
   echo.
   echo    You have chosen to edit your backed up block list (AG-BACK.REG)... 
   if not exist ag-back.reg goto ED-FILE3
   notepad.exe ag-back.reg

   goto MENU

:: ---------------
:: Edit NIS Backup
:: ---------------
:ED-NISBACK

   :: Clean up...
   del check.reg>nul

   :: Open in Notepad...
   echo.
   echo    You have chosen to edit your backed up block list (NIS-BACK.REG)... 
   if not exist nis-back.reg goto ED-FILE3
   notepad.exe nis-back.reg

   goto MENU

:: --------------
:: No Proper File
:: --------------
:ED-FILE3

   echo.
   echo.
   echo    ...but a backup of your block list could not be found 
   echo    (AG-BACK.REG or NIS-BACK.REG). Consequently, you cannot
   echo    edit a backed up block list file.
   echo.
   echo    Please select [1] from the Main Menu to create a backup first.
   echo.
   pause (Press Any Key to Return to Main Menu)
   goto MENU

::********************************************************************
:ERROR
::********************************************************************

     echo.
     echo.
     echo    An error ocurred while performing this task...
     echo.
     echo.
     pause
     goto RETURN

::********************************************************************
:SUCCESS
::********************************************************************
  
     echo.
     echo.
     echo    SUCCESS!!
     echo.
     echo.
     pause
     goto MENU

::********************************************************************
:RETURN
::********************************************************************
  
:: -----------------
:: Give Choice Again
:: -----------------

   echo.
   echo.
   echo    What Do You Want to Do Now?
   echo.
   echo    [1] Return to Main Menu
   echo    [2] Exit
   echo.

   choice /c:123 /n /t:3,90

   if errorlevel 3 goto menu
   if errorlevel 2 goto fin
   if errorlevel 1 goto menu

::********************************************************************
:FIN
::********************************************************************

   cls

   echo.
   echo.
   echo    You have chosen to EXIT the @Guard/NIS Ad Block List Utility.
   echo.
   echo.
   echo    Bye for now...
   echo.
   echo.
